Package org.apache.sysds.runtime.io

# Class TensorWriter

java.lang.Object
org.apache.sysds.runtime.io.TensorWriter

Direct Known Subclasses:
  `TensorWriterBinaryBlock`, `TensorWriterTextCell`

public abstract class TensorWriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`TensorWriter()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`writeTensorToHDFS(TensorBlock src, String fname, int blen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TensorWriter

public TensorWriter()

## Method Details

### writeTensorToHDFS

public abstract void writeTensorToHDFS(TensorBlock src, String fname, int blen) throws IOException

Throws:
  `IOException`